package nl.wur.bif.pantools.utils.graph.graph_objects;

import java.util.HashSet;
import java.util.Set;

public class GraphNode {
    final private long id;
    final boolean isNucleotide;
    final String sequence;
    final int length;
    final long frequency; //the depth of the graphNode in the graph

    public GraphNode(long id) {
        this.id = id;
        this.isNucleotide = false;
        this.sequence = null;
        this.frequency = -1L;
        this.length = -1;
    }

    public GraphNode(long id, String sequence, long frequency) {
        this.id = id;
        this.isNucleotide = true;
        this.sequence = sequence;
        this.frequency = frequency;
        this.length = sequence.length();
    }

    public long getId() {
        return id;
    }

    public boolean isNucleotide() {
        return isNucleotide;
    }

    public String getSequence() {
        return sequence;
    }

    public long getFrequency() {
        return frequency;
    }

    public int getLength() {
        return length;
    }

    public boolean equals(GraphNode graphNode) {
        return this.id == graphNode.getId();
    }

    public String toString() {
        if (isNucleotide) {
            return "node " + id + " (sequence)";
        } else {
            return "node " + id;
        }
    }
}
