package nl.wur.bif.pantools.utils.writer;

import nl.wur.bif.pantools.utils.graph.graph_objects.GraphRange;

import java.io.IOException;
import java.nio.file.Path;

public abstract class AnnotationWriter {
    public AnnotationWriter() {}

    /**
     * Abstract method to write the annotation to a path
     * @param graphRange the graph range to write
     * @param path path to write the annotation to
     * @param writeRepeats whether to write repeats
     * @param writeBlast whether to write blast results
     * @throws IOException if an error occurs while writing the annotation
     */
    public abstract void write(GraphRange graphRange, Path path, boolean writeRepeats, boolean writeBlast) throws IOException;
}
